/******************************************************************************
 *
 * Copyright (C) 2011 Harri Hyttinen
 * Copyright (C) 2011 Juuso Korhonen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 *
 *****************************************************************************/
 
 
import QtQuick 1.1
import com.nokia.meego 1.0

QueryDialog {
    id: licenseDialog
    message: "\
This program is free software; you can redistribute it and/or modify \
it under the terms of the GNU General Public License as published by \
the Free Software Foundation; either version 2 of the License, or \
(at your option) any later version. \


This program is distributed in the hope that it will be useful, \
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details. \


You should have received a copy of the GNU General Public License \
along with this program; if not, write to the Free Software \
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA"

    acceptButtonText: "OK"
    rejectButtonText: "GNU GPL"

    onAccepted: {
        licenseDialog.destroy()
    }

    onRejected: {
        Qt.openUrlExternally("file:///usr/share/common-licenses/GPL")
        licenseDialog.destroy()
    }
}


/*Item {
    id:aboutPage
    anchors.fill: parent
    Rectangle {
        id: gradientRect
        anchors.fill: parent
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#DCDCDC" }
            GradientStop { position: 0.6; color: "silver" }
            GradientStop { position: 1.0; color: "#DCDCDC" }
        }

        Button {
            id: closeButton
            text: "Close"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 30
            onClicked: flipable.flip()
        }

        Rectangle {
            id: aboutContent
            anchors.top: closeButton.bottom
            anchors.bottom: parent.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            color: "#00000000"
            Rectangle {
                id: centerRect
                anchors.centerIn: parent
                color: "#00000000"
                height: aboutImage.height  +
                        copyrightText.height + 15
                width: parent.width
                Image {
                    id: aboutImage
                    source: "/usr/share/icons/hicolor/80x80/apps/n9tagedit80.png"
                    anchors.horizontalCenter: parent.horizontalCenter
                }

                Text {
                    id: copyrightText
                    anchors.horizontalCenter: parent.horizontalCenter
                    y: aboutContent.y + aboutContent.height//titleText.y + titleText.height
                    font.family: "Nokia Pure Text Light"
                    font.pointSize: 20
                    horizontalAlignment: Text.AlignHCenter
                    //width: parent.width
                    wrapMode: Text.Wrap
                    //text: "<i><a href=\"file:///usr/share/common-licenses/GPL\">Copyright &copy; 2011</a></i><br\>Harri Hyttinen<br\>Juuso Korhonen"
                    text: "<h2>N9TagEdit</h2>Simple audio file tag editor for N9<small><hr/>version 1.0.0<br/>Copyright &copy;<br/>Harri Hyttinen<br/>Juuso Korhonen</small><font size=1><br/><br/>N9TagEdit comes with ABSOLUTELY NO WARRANTY</font>"
                    onLinkActivated: {
                        Qt.openUrlExternally(link);
                    }

                    Behavior on y {
                        SmoothedAnimation {
                            easing.type: Easing.Linear
                            duration: 1000
                        }
                    }
                }
            }
        }
    }

    function startScroll() {
        copyrightText.y = aboutImage.y + aboutImage.height
    }
}*/
